package jp.co.isid.elportal.fileconvert.command;

import jp.co.isid.soa.framework.service.exception.ServiceException;

/**
 *
 * 原文イメージ変換コマンドインタフェース
 *
 * @param <E> 引数の型
 * @param <F> 戻り値の型
 */
public interface Command<E, F> {

    /**
     * コマンド実行処理
     *
     * @param arg 引数
     * @return F 戻り値
     * @throws ServiceException エラー発生時
     */
	public F execute(E arg) throws ServiceException;
}
