/*
 * Copyright(c) 2010 Information Services International-Dentsu, Ltd.
 */
package jp.co.isid.elportal.fileconvert.service.convert;

/**
 * <P>
 * 記事データ詳細VO
 * </P>
 *
 * @version $Revision: $ $Date: $
 */

public class ArticleDetailVO {

    /** 番号 */
    private int _listNo;

    /** AC番号 **/
    private String _acno;

    /** 記事見出し */
    private String _actitle;

    /** 原文提供不可フラグ */
    private boolean _orgNoFlg;

    /** 記事属性 */
    private String[] _acdata;

    /** キーワード表示フラグ */
    private boolean _keywordDisp;

    /** キーワード */
    private String[] _keyword;

    /**
     * @return the listNo
     */
    public int getListNo() {
        return _listNo;
    }

    /**
     * @param listNo the listNo to set
     */
    public void setListNo(int listNo) {
        this._listNo = listNo;
    }

    /**
     * @return String AC番号
     */
    public String getAcno() {
        return _acno;
    }

    /**
     * @param acno AC番号
     */
    public void setAcno(String acno) {
        this._acno = acno;
    }

    /**
     * @return the actitle
     */
    public String getActitle() {
        return _actitle;
    }

    /**
     * @param actitle the actitle to set
     */
    public void setActitle(String actitle) {
        this._actitle = actitle;
    }

    /**
     * @return the orgNoFlg
     */
    public boolean isOrgNoFlg() {
        return _orgNoFlg;
    }

    /**
     * @param orgNoFlg the orgNoFlg to set
     */
    public void setOrgNoFlg(boolean orgNoFlg) {
        this._orgNoFlg = orgNoFlg;
    }

    /**
     * @return the acdata
     */
    public String[] getAcdata() {
        return _acdata;
    }

    /**
     * @param acdata the acdata to set
     */
    public void setAcdata(String[] acdata) {
        this._acdata = acdata;
    }

    /**
     * @return the keywordDisp
     */
    public boolean isKeywordDisp() {
        return _keywordDisp;
    }

    /**
     * @param keywordDisp the keywordDisp to set
     */
    public void setKeywordDisp(boolean keywordDisp) {
        this._keywordDisp = keywordDisp;
    }

    /**
     * @return the keyword
     */
    public String[] getKeyword() {
        return _keyword;
    }

    /**
     * @param keyword the keyword to set
     */
    public void setKeyword(String[] keyword) {
        this._keyword = keyword;
    }



}
