package jp.co.isid.elportal.fileconvert.service.convert;

import java.io.File;

/**
 *
 * 原文クラス
 *
 */
public class OrgTextVO {

	/** 原文が保存されているパス */
	private String _orgTextPath = null;

	/** 原文ファイル */
	private File _orgText = null;

	/** 原文ファイル名(ユニークコード＋種別＋イメージNO （拡張子無し）) */
	private String _orgTextFileName = null;

	/**
	 * 原文が保存されているパスを返します。
	 *
	 * @return 原文が保存されているパス
	 */
	public String getOrgTextPath() {
		return _orgTextPath;
	}

	/**
	 * 原文が保存されているパスを設定します。
	 *
	 * @param orgTextPath 原文が保存されているパス
	 */
	public void setOrgTextPath(String orgTextPath) {
		this._orgTextPath = orgTextPath;
	}

	/**
	 * 原文を返します。
	 *
	 * @return 原文
	 */
	public File getOrgText() {
		return _orgText;
	}

	/**
	 * 原文を設定します。
	 *
	 * @param orgText 原文
	 */
	public void setOrgText(File orgText) {
		this._orgText = orgText;
	}

	/**
	 * 原文ファイル名を返します。
	 *
	 * @return 原文ファイル名
	 */
	public String getOrgTextFileName() {
		return _orgTextFileName;
	}

	/**
	 * 原文ファイル名を設定します。
	 *
	 * @param orgTextFileName 原文ファイル名
	 */
	public void setOrgTextFileName(String orgTextFileName) {
		this._orgTextFileName = orgTextFileName;
	}


}
