/*
 * Copyright(c) 2010 Information Services International-Dentsu, Ltd.
 */
package jp.co.isid.elportal.fileconvert.service.convert;

import java.util.List;

/**
 * <P>
 * 記事データ・記事原文印刷用VO
 * </P>
 *
 * @version $Revision: $ $Date: $
 */

public class ArticleDataPrintVO extends ArticleOrgTextVO {

    /** 記事データ件数 */
    private int _acDataCount;

    /** 印刷日（○月○日（○）形式） */
    private String _printDatejp;

    /** 記事データ詳細List */
    private List<ArticleDetailVO> _lstAcDetail;


    /**
     * 記事データ件数を取得します
     * @return 件数
     */
    public int getAcDataCount() {
        return _acDataCount;
    }

    /**
     * 記事データ件数を設定します
     * @param acDataCount 件数
     */
    public void setAcDataCount(int acDataCount) {
        this._acDataCount = acDataCount;
    }

    /**
     * 印刷日を取得します
     * @return 印刷日
     */
    public String getPrintDateJp() {
        return this._printDatejp;
    }

    /**
     * 印刷日を設定します
     * @param printDatejp 印刷日
     */
    public void setPrintDateJp(String printDatejp) {
        this._printDatejp = printDatejp;
    }

    /**
     * 記事データ詳細List
     * @return 記事データ詳細
     */
    public List<ArticleDetailVO> getAcDetail() {
        return this._lstAcDetail;
    }

    /**
     * 記事データ詳細List
     * @param lstAcDetail 記事データ詳細
     */
    public void setAcDetail(List<ArticleDetailVO> lstAcDetail) {
        this._lstAcDetail = lstAcDetail;
    }


}
